Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class BasicConstraints

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.BasicConstraints

All Implemented Interfaces:
  DEREncodable

public class BasicConstraints
extends java.lang.Object
implements DEREncodable

Constructor Summary
`BasicConstraints(ASN1Sequence seq)`
`BasicConstraints(boolean cA)`
`BasicConstraints(boolean cA, int pathLenConstraint)`

Method Summary
`DERObject` | `getDERObject()` BasicConstraints := SEQUENCE { cA BOOLEAN DEFAULT FALSE, pathLenConstraint INTEGER (0..MAX) OPTIONAL }
`static BasicConstraints` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static BasicConstraints` | `getInstance(java.lang.Object obj)`
`java.math.BigInteger` | `getPathLenConstraint()`
`boolean` | `isCA()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicConstraints

    public BasicConstraints(ASN1Sequence seq)

### BasicConstraints

    public BasicConstraints(boolean cA,
                            int pathLenConstraint)

### BasicConstraints

    public BasicConstraints(boolean cA)

Method Detail

### getInstance

    public static BasicConstraints getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

### getInstance

    public static BasicConstraints getInstance(java.lang.Object obj)

### isCA

    public boolean isCA()

### getPathLenConstraint

    public java.math.BigInteger getPathLenConstraint()

### getDERObject

    public DERObject getDERObject()

       BasicConstraints := SEQUENCE {
          cA                  BOOLEAN DEFAULT FALSE,
          pathLenConstraint   INTEGER (0..MAX) OPTIONAL
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD